Module ``autobahn.websocket``
=============================

WebSocket Interfaces
--------------------

.. autoclass:: autobahn.websocket.interfaces.IWebSocketChannel
    :members:

.. autoclass:: autobahn.websocket.interfaces.IWebSocketServerChannelFactory
    :members:

.. autoclass:: autobahn.websocket.interfaces.IWebSocketClientChannelFactory
    :members:


WebSocket Types
---------------

.. automodule:: autobahn.websocket.types
    :members:


WebSocket Compression
---------------------

.. automodule:: autobahn.websocket.compress
    :members:


WebSocket Utilities
-------------------

WebSocket utilities that do not depend on the specific networking framework being used (Twisted or asyncio).

.. automodule:: autobahn.websocket.util
    :members:
